Get your gateway
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"name": "Example Shop",
"createdAt": "2026-10-20T08:00:00Z",
"isEnabled": true,
"disabledAt": null,
"apiKeys": [
{
"id": "0193a0b1-9f8e-7d6c-8b5a-4f3e2d1c0b9a",
"prefix": "w3g_7Kp2",
"label": "production",
"createdAt": "2026-10-20T08:00:00Z",
"revokedAt": null
}
]
}Account
Get your gateway
Your gateway and its API keys (prefixes only).
GET
/
payments
/
merchants
/
me
Get your gateway
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"name": "Example Shop",
"createdAt": "2026-10-20T08:00:00Z",
"isEnabled": true,
"disabledAt": null,
"apiKeys": [
{
"id": "0193a0b1-9f8e-7d6c-8b5a-4f3e2d1c0b9a",
"prefix": "w3g_7Kp2",
"label": "production",
"createdAt": "2026-10-20T08:00:00Z",
"revokedAt": null
}
]
}